Monitoring - Retrieve Widget
Načte vlastnosti a konfiguraci widgetu.
GET http://<Servername>/OperationsManager/monitoring/widget/{widgetId}
Parametry identifikátoru URI
| Name | V | Vyžadováno | Typ | Description |
|---|---|---|---|---|
|
widget
|
path | True |
string |
Zadání ID widgetu |
Odpovědi
| Name | Typ | Description |
|---|---|---|
| 200 OK |
OK. Úspěšně načteny vlastnosti a konfigurace widgetu. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Příklady
Monitoring_RetrieveWidget
Ukázkový požadavek
GET http://<Servername>/OperationsManager/monitoring/widget/8c9a13a6-0547-facb-bf43-e4af529a3468
Ukázková odpověď
{
"id": "8c9a13a6-0547-facb-bf43-e4af529a3468",
"name": "Data from shell",
"description": null,
"mpId": "da187e72-b9d7-9e16-d098-3b0a624dc38c",
"componentType": "HtmlPowershellWidget",
"config": "{\"widgetDisplay\":{\"col\":1,\"row\":2,\"sizex\":6,\"sizey\":4},\"widgetParameters\":{\"script\":\"$class = Get-SCOMClass -Name Microsoft.Windows.Computer \\n$computers = Get-SCOMClassInstance -Class $class \\n$i=1 \\nforeach ($computer in $computers) \\n{ \\n $results=$ScriptContext.CreateFromObject($computer,\\\"Id=Id,HealthState=HealthState,DisplayName=DisplayName\\\",$null) \\n $results[\\\"CustomColumn\\\"]=$i \\n $ScriptContext.ReturnCollection.Add($results) \\n $i++ \\n}\"},\"widgetRefreshInterval\":5}"
}
Definice
ComponentResponse
| Name | Typ | Description |
|---|---|---|
| componentType |
string |
Typ komponenty |
| config |
string |
konfigurace |
| description |
string |
Popis součásti |
| id |
string |
Průkaz totožnosti |
| mpId |
string |
ID MP součásti |
| name |
string |
Název komponenty |